# Class FakeNoCacheService

Namespace
  adas_core.Test.Services

Assembly
  adas-core.Test.dll

Represents a fake implementation of the cache service, used for testing or scenarios where a no-op cache behavior is required.

    public class FakeNoCacheService : NoCacheService, ICacheService

Inheritance
  object
  NoCacheService
  FakeNoCacheService

Implements
  ICacheService

Inherited Members
  NoCacheService.SetValue(string, string)
  NoCacheService.GetValue(string)
  NoCacheService.GetObjectAsync<T>(string, bool)
  NoCacheService.SetObjectAsync<T>(string, T, bool)
  NoCacheService.GetObjectAsync<T>(string, TimeSpan?, bool)
  NoCacheService.SetObjectAsync<T>(string, T, TimeSpan?, bool)
  NoCacheService.DeleteByPatternAsync(string)
  NoCacheService.DeleteObjectAsync(string)
  NoCacheService.CleanCache()
  NoCacheService.GetOrSetObjectAsync<T>(string, Func<Task<T>>, TimeSpan?, CancellationToken)
  NoCacheService.GetOrSetValueAsync(string, Func<Task<string>>, TimeSpan?)
  NoCacheService.GetOrSetObjectAsync<T>(GroupedField, ObjectId, Func<Task<T>>, TimeSpan?, CancellationToken)
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This class inherits from NoCacheService and implements the ICacheService interface, providing a non-functional cache suitable for unit tests or environments where caching should be bypassed.

## Properties

### LastKey

    public string? LastKey { get; }

#### Property Value

string

### WasCalled

    public bool WasCalled { get; }

#### Property Value

bool